@import "custom.css?1";

.bold { font-weight: bold; }

.bottomFrameBody {background-color:white ; padding-left:20px; vertical-align: middle; margin:0; padding-top:0; padding-bottom: 0; height:60px; width: 100%; line-height:55px; white-space:nowrap; }
.cellWarning {padding-left:20px; padding-top: 8px; padding-bottom: 8px; border-style: solid; border-width: 1px 0 0 0; border-color:#ff8a80;}

body, html {width: 100%; min-width: 450px; height: 98%; min-height: 98%; border: 0; margin: 0; padding: 0; background-color: #e5e5e5; color: #37474F; 
	font-family: 'Segoe UI', 'San Francisco', Roboto, Tahoma, Verdana, Arial, Helvetica; font-size: 16px; } /*color: #314559*/
input::-ms-clear{  display: none; /* hide x-button in unputs for Edge */}

input[type=text], input[type=password], select {
	margin-left: 2px;
}
input, textarea, select, button{ box-sizing:border-box; font-family: 'Segoe UI', 'San Francisco', Roboto, Tahoma, Verdana, Arial, Helvetica; font-size: 14px;  }
select { width: 230px;  height: 34px; box-sizing:border-box; padding: 0 0 0 2px; background-color: #ffffff;  border-radius: 2px; border: solid 1px #d4dce1; margin-right: 25px;  }
div { box-sizing:border-box; }
.wizard_item_label	{color: #314559; white-space: nowrap; }
.wizard_item_value	{color: #314559; font-weight: 600; }
/*textarea,*/ input[type=text], input[type=password], input[type=file] {height: 34px; border-radius: 2px; padding: 0 1px; background-color: #ffffff; border: solid 1px #D4DCE1; }
textarea { box-sizing:border-box; border-radius: 2px; padding: 0 1px; background-color: #ffffff; border: solid 1px #D4DCE1; resize: none;}
select:disabled, textarea:disabled, input:disabled[type=text], input:disabled[type=password] {background-color: #F3F3F3;}

/* Button (begin) */

.button_default, .button_over, .button_click, .button_disabled {
	background-color: #ff9f00;	/* Button background */
	color: #ffffff;				/* Button text color */
	border: solid 1px #ff9f00;
	min-width: 120px;
	height: 36px;
	font-weight: bold;
	font-size: 14px;
	letter-spacing: -0.5px;
	text-align: center;
	vertical-align: middle;
	margin-right: 17px;
	margin-top: 1px;
	margin-left: 1px;
	margin-bottom: 1px;
	border-radius: 2px;
	cursor: default;
}

.button_disabled {
	background-color: #f7f8fa;	/* Disabled Button background */
	color: #9ca4a8;				/* Disabled Button text color */
	border: solid 1px #d4dce1;
}

.button_over, .button_click {
	opacity: 0.8;				/* Over/Click Button opacity */
	cursor: pointer;
}

.button_img_default {
	cursor: default;
}

.button_img_over {
	cursor: pointer;
}

/* Button (end) */

.circle_notinfo {
	width: 10px;
	height: 10px;
	background: #aeaeae;
	border-radius: 5px;
	display: inline-block;
	border: 1px solid #A2A2A2;
}
.circle_inactive  { width: 10px; height: 10px; background: white;   border-radius: 5px; display: inline-block; border: 1px solid #A2A2A2; }
.circle_active    { width: 10px; height: 10px; background: #66d47b; border-radius: 5px; display: inline-block; border: 1px solid #A2A2A2; }
.circle_sent      { width: 10px; height: 10px; background: #37dbe8; border-radius: 5px; display: inline-block; border: 1px solid #A2A2A2; }
.circle_rejected  { width: 10px; height: 10px; background: #ff60cc; border-radius: 5px; display: inline-block; border: 1px solid #A2A2A2; }
.circle_fail      { width: 10px; height: 10px; background: #ee6556; border-radius: 5px; display: inline-block; border: 1px solid #A2A2A2; }
.circle_running   { width: 10px; height: 10px; background: #e8d80f; border-radius: 5px; display: inline-block; border: 1px solid #A2A2A2; }
.circle_empty     { width: 10px; height: 10px; background: white  ; border-radius: 5px; display: inline-block; border: 1px solid #A2A2A2; }
.circle_none      { width: 0;  display: none;}

#tblSample	{vertical-align:middle; display: inline-table; height: 38px;}

.traceBody { font-size: 12px; }

.tabPassiveTop { white-space:nowrap; width: 16px; height:8px; text-align: center; border-style: none; border-width: 0; }
.tabActive { white-space:nowrap; cursor: default; padding-left: 8px; padding-right: 8px; height:40px; text-align: center; background-color:#e5e5e5;
             border-style: solid; border-color: #72aeec; border-width: 2px 2px 0px 2px; font-weight:600; }

.tabPassiveBottom, .tabPassiveBottomActive
	{ white-space:nowrap; cursor: pointer; padding-left: 8px; padding-right: 8px; height:32px; text-align: center; border-style: solid; border-color: #B8BFC4; border-bottom-color: #72aeec;}
.tabPassiveBottom		{ border-width: 1px 1px 2px 1px; }
.tabPassiveBottomActive	{ border-width: 1px 1px 2px 1px; }


.tabPassiveTop, .tabActive, .tabPassiveBottom, .tabPassiveBottomActive
{	
	border-radius: 10px 10px 0 0;
}
					
.tabMarginLeftBottom, .tabMarginRightBottom, .tabMarginRightBottomActive 
	{ white-space:nowrap; height:20px; text-align: center; border-style: solid; border-color: #B8BFC4; border-bottom-color: #72aeec; }
.tabMarginLeftBottom        { border-width: 0px 0px 2px 0; padding: 0 16px;}
.tabMarginRightBottom       { border-width: 0px 0px 2px 0; width: 100%;}
.tabMarginRightBottomActive { border-width: 0px 0px 2px 0; width: 100%;}

/*
.tabPassiveTop { white-space:nowrap; width: 16px; height:8px; text-align: center; border-style: none; border-width: 0; }
.tabActive { white-space:nowrap; cursor: default; padding-left: 8px; padding-right: 8px; height:40px; text-align: center; border-style: solid; border-color: #C2C9CE; border-width: 1px 1px 0px 1px; }

.tabPassiveBottom { white-space:nowrap; cursor: pointer; padding-left: 8px; padding-right: 8px; height:32px; text-align: center; border-style: solid; border-color: #C2C9CE; border-width: 1px 0px 1px 1px; }
.tabPassiveBottomActive	{ white-space:nowrap; cursor: pointer; padding-left: 8px; padding-right: 8px; height:32px; text-align: center; border-style: solid; border-color: #C2C9CE; border-width: 1px 0px 1px 0px; }

.tabMarginLeftBottom { white-space:nowrap; padding-left: 16px; padding-right: 16px; height:32px; text-align: center; border-style: solid; border-color: #C2C9CE; border-width: 0px 0px 1px 0px; }
.tabMarginRightBottom { white-space:nowrap; width: 100%; height:32px; text-align: center; border-style: solid; border-color: #C2C9CE; border-width: 0px 0px 1px 1px; }
.tabMarginRightBottomActive { white-space:nowrap; width: 100%; height:32px; text-align: center; border-style: solid; border-color: #C2C9CE; border-width: 0px 0px 1px 0; }
*/

/* CSS Document */

img {border: 0; margin: 0; padding: 0;}
a {padding-left: 0px; padding-right: 0px; color: #256fa2; }

div.pagerDiv {margin-top:8px;width:100%;vertical-align:middle;}
div.topmargin5 {margin-top:5px;width:100%;}
td.TitleRightCell
{
	border-left: 1px solid #FFFFFF;
	padding: 0 4px;
	vertical-align: middle;
}
td.TitleRightCell_
{
	padding: 0 4px;
	vertical-align: middle;
}

.spoiler {margin:7px 0; font-size:12px; font-weight:bold; color:#256fa2;}
.spoilerAlert {font-size:12px; font-weight:normal; color:black;}

.left_menu_href {padding-left: 0px; padding-right: 0px; color: #256fa2; text-decoration: none; font-weight: bold;  cursor: pointer;} 
.left_menu_href_disabled {padding-left: 0px; padding-right: 0px; color: #A6A6A6; text-decoration: none; font-weight: bold;  cursor: default;}

a, span.link {padding-left: 0px; padding-right: 0px; color: #3f91e5; text-decoration: none; cursor:pointer; text-decoration:underline; } 
a.link_disabled, span.link_disabled {padding-left: 0px; padding-right: 0px; color: #A6A6A6; text-decoration: none; cursor:default;}

.pager_current_page { height:20px; width:28px;border-style:solid;border-width:1px;border-color:white;text-align:center;font-weight: bold; color:black;background-color:#ffe8a1; padding:0 4px;}
.pager_page { height:20px; width:28px;border-style:none;text-align:center;border-color:#256fa2;border-width:1px;color:#256fa2; padding:0 4px;}
.pager_dots { height:20px; color: #256fa2;}

.left_menu_item {font-size: 12px; font-weight: bold; background-position: bottom left; background-repeat: repeat-x;}

table.device_settings {
	width: 99%; 
  	background-color: #ffffff;
/*	border-color: #37474F; border-width: 1px; border-radius: 2px; border-style: solid;  */
	margin-top: 10px; 
}

/*.device_settings tr { height: 39px; }*/

.content_header {font-weight: bold; color: #314559; padding-bottom:15px;
	background-image:url(../images/New/left_menu/div_left_menu.gif); background-position: bottom left; background-repeat: repeat-x;
}

.content_separator{font-size: 1px; height:1px; font-weight: bold; background-image:url(../images/New/left_menu/div_left_menu.gif); background-position: center left; background-repeat: repeat-x;}



.cell_header, .cell_header_a
	{height: 50px; white-space:nowrap; text-align:left; font-weight:bold;  padding:8px 18px; 
	border-width:0 3px 0 0; border-style:solid; border-color: #e5e5e5 }
.cell_header_a   {border-width:0; } 

.cell_inactive_item, .cell_inactive_item_a, 
.cell_inactive_itemOdd, .cell_inactive_itemOdd_a,
.cell_inactive_item_RowOver, .cell_inactive_item_a_RowOver, 
.cell_inactive_itemOdd_RowOver, .cell_inactive_itemOdd_a_RowOver
	{text-align: left; border-style: solid; border-width: 3px 3px 0 0; padding: 8px 18px; border-color: #e5e5e5; }
	
.cell_inactive_itemOdd  {background-color: #DBEFFF; border-width: 3px 3px 0 0;    }
.cell_inactive_itemOdd_a{background-color: #DBEFFF; border-width: 3px 3px 0 3px;  }

.cell_inactive_item_RowOver, .cell_inactive_item_a_RowOver, .cell_inactive_itemOdd_RowOver, .cell_inactive_itemOdd_a_RowOver 
	{background-color:#e2f0f9; cursor: pointer; }

.cell_inactive_itemOdd_RowOver  {background-color:#cfe9ff; /* border-width: 1px 1px 0   0;   */ }
.cell_inactive_itemOdd_a_RowOver{background-color:#cfe9ff; /* border-width: 0   1px 1px 1px; */ }

.cell_inactive_item_a, .cell_inactive_item_a_RowOver
	{border-width: 3px 0 0 0; }

.sensor_group_table
	{height: 15px; padding: 1px 4px 1px 2px; border-width: 0; white-space:nowrap; font-size:12px; }	
	
/*Old Cpe*/

.tabs_row {
		margin: 0; border: 0; padding: 0;
		width: 100%; height: 20px;
		/*background-color: #FCFCFC;
		background-image: url(../images/tabs_small_bg.png);*/
}
.tabs_row_a {
		margin: 0; border: 0; padding: 0;
		width: 100%; height: 29px;
		background-color: #EDEDED;
		background-image: url(../images/tabs_bg.png);
}
.tab_small_blue {
		height:20px;
		margin: 0; border: 0;
		background-color: #45A3DD;
}
.tab_small_blue_middle {
		height:20px; overflow: visible;
		padding-left: 5px; padding-right: 5px; margin: 0; border: 0;
		background-color: #45A3DD;
		background-image: url(../images/tab_small_blue_middle.png);
		background-repeat: repeat-x;
		color: #FFFFFF;
		font-size : 10pt; font-weight: bold; 
}
.tab_small_blue_href {
		color: #5D5D5D;
		font-size : 12pt; text-decoration: none; 
}

.tab_small_gray_middle {
		height:20px; overflow: visible;
		padding-left: 5px; padding-right: 5px; margin: 0; border: 0;
		background-color: #BBBBBB;
		background-image: url(../images/tab_small_middle.png);
		background-repeat: repeat-x;
		color: #5D5D5D;
		font-size : 10pt; font-weight: bold; 
}
.tab_small_gray_href {
		color: #5D5D5D;
		font-size : 12pt; text-decoration: none; 
}
.tabs_below {
		width: 100%; height: 2px;
		background-color: #45A3DD;
		background-image: url(../images/tabs_below.png);
		background-repeat: repeat-x;
}
.tabs_below_a {
		width: 100%; height: 2px;
		background-color: #FFFFFF;
		background-image: url(../images/empty.gif);
		background-repeat: repeat-x;
}

.information
{
	padding-left:4px; 
	padding-right:4px; 
	color: White; 
}

.information_warning
{
	padding-left:4px; 
	padding-right:4px; 
	color: red; 
	font-weight: bold;
}

.divhint_table
{
	border-style: none; 
/*	word-break: break-all;	*/
}

.tooltip_title, .tooltip_title_only, .tooltip_title_plane {
	color: #242424; 
	background-color: #E0E0E0;
	border-color:  #c8c8c8;   /* #00bb00; */
	border-width: 1px 1px 2px 1px;
	border-style: solid; 
	font-weight: bold; 
	font-size: 12px; 
	padding: 0 6px; 
	text-align:center; 
/*	border-radius: 6px 6px 0 0; */
}
.tooltip_body, .tooltip_body_breakAll, .tooltip_body_only, .tooltip_body_plane {
	color: #7d7d7d; 
	background-color: #f6f6f6; 
	border-color:  #c8c8c8;   /* #00bb00; */
	border-width: 0 1px 1px 1px; 
	border-style: solid; 
	font-weight: normal; 
	font-size: 12px; 
	padding: 6px; 
	text-align:left;
/*	border-radius: 0 0 6px 6px; */
}
.tooltip_body_breakAll {
	word-break: break-all;
}
.tooltip_body_only, .tooltip_title_only {
	border-width: 1px;
	white-space:normal;
/*	border-radius: 6px; */
}


.tooltip_title_plane, .tooltip_body_plane {
	border-color: #c8c8c8;
}


.height1pix {
		margin: 0; border: 0; padding: 0;
		height: 1px;
		font-size:1%;
}

.TreeNodeSelectable
{
	color: #256fa2;
	cursor:pointer;  
}

/* Device Trace - begin */

div.TraceTitle
{
	width:98%; 
	height:50px;
	margin-bottom:10px;
	text-align:center; 
	font-weight:bold;
	padding:10px;
	border-style:solid;
	border-color:#4A749F;
	border-width:2px 0 2px 0;
}

#divAllTraceSessions
{
	border-bottom:1px solid #4A749F;
}

div.SessionTraceHeader
{
	border-top:1px solid #4A749F;
	padding:10px;	
}

div.SessionTraceFooter
{
	border-top:1px solid #4A749F;
	padding:10px;	
}

span.canShowHideSession
{
    color : Black;
    cursor : pointer;
    text-decoration:underline;
}

div.canShowHideMessage
{
    color : Black;
    cursor : pointer;
	border-top: 1px solid #4A749F;
	padding:7px;
}

span.endOfSession
{
    color: Gray;
}

.traceLeftColumn { width:420px; padding-bottom: 3px;}
/* Device Trace - end */

/* button/links - start */
.button2_link, .button2_link_disable
{
	color : #3F91E5;
	font-size : 16px;
	cursor : pointer;
	white-space:nowrap; 
/*	text-decoration : underline; 
	font-weight : bold;
*/
	display :  inline;
	margin-bottom : 10px;
	margin-right:20px;
/*	float:left;
	margin-top : 5px;
*/
	clear:both;
 
}
/*
.button2_link:hover
{
	color : #3F91E5;
	text-decoration : none;
}
*/
.button2_link_disable
{
	color : #777;
	cursor : default;
	text-decoration:none;
}
.button2_link[invisible]
{
	display : none;
}
/* button/links - end */

.wizard_title 		{font-size: 20px; font-weight: bold; padding-left:0; }
  
.wizard_warning		{color:#ff0000;font-size: 14px; padding:6px; }

.wizard_tree_enable	{color:#3f91e5; text-decoration: none; padding-right:4px; height:30px; vertical-align: middle; }
.wizard_tree_disable{font-size: 14px; color:black;   text-decoration: none; padding-right:4px; height:30px; vertical-align: middle; cursor: default;}

.tab_bottom			{ border-style:solid; border-width: 0 0   1px 0;   border-color:#256fa2; font-size: 1px; }
.tab_bottom_active	{ border-style:solid; border-width: 0 1px 0   1px; border-color:#256fa2; font-size: 1px; }
.tab_bottom_passive	{ border-style:solid; border-width: 0 0   1px 0;   border-color:#256fa2; font-size: 1px; background: #efefef; }

.tab_small_div		{ border-style:solid; border-width: 0; border-color:#256fa2; }
.tab_small_active	{ white-space:nowrap;border-style:solid;border-width: 1px 1px 0 1px; border-color:#256fa2; padding-left: 5px; padding-right: 5px; }
.tab_small_gray		{ white-space:nowrap;border-style:solid;border-width: 1px 1px 0 1px ; border-color:#bfbfbf #bfbfbf #256fa2 #bfbfbf; background-color:#efefef;padding-left: 5px; padding-right: 5px; }
.item_ordinary		{font-size: 14px; font-weight:normal; background-image:url(../images/icon_minus.png); padding: 3px 0 3px 15px; background-position: left center; background-repeat:no-repeat; color:#000000;}
.item_selected		{font-size: 14px; font-weight:normal; background-image:url(../images/icon_check.png); padding: 3px 0 3px 15px; background-position: left center; background-repeat:no-repeat; color:#ff9900;}

.UpdateGroup_Completed	{ background-color: #23b14d; }
.UpdateGroup_Failed		{ background-color: #ed1b24; }
.UpdateGroup_Pending	{ background-color: #00a3e8; }
.UpdateGroup_Sent		{ background-color: #efe3af; }
.UpdateGroup_Ignored	{ background-color: #c7bfe6; }
.UpdateGroup_Offline	{ background-color: #c3c3c3; }

.cellGreen	{ white-space:nowrap; background-color:#c7e2a7;  border-style:solid; border-width: 1px 0 0 0; border-color:white;}
.cellRed	{ white-space:nowrap; background-color:#f9a49e;  border-style:solid; border-width: 1px 0 0 0; border-color:white;}
.cellBlue	{ white-space:nowrap; background-color:#85dfea;  border-style:solid; border-width: 1px 0 0 0; border-color:white;}
.cellYellow	{ white-space:nowrap; background-color:#fee188;  border-style:solid; border-width: 1px 0 0 0; border-color:white;}
.cellGrey	{ white-space:nowrap; background-color:#e4e4e4;  border-style:solid; border-width: 1px 0 0 0; border-color:white;}
.cellViolet	{ white-space:nowrap; background-color:#eaabf2;  border-style:solid; border-width: 1px 0 0 0; border-color:white;}
.cellBrown	{ white-space:nowrap; background-color:#a99189;  border-style:solid; border-width: 1px 0 0 0; border-color:white;} /* not used yet */

.cellGreen_RowOver	{ white-space:nowrap; background-color:#b2d7ae; border-style:solid; border-width: 1px 0 0 0; border-color:white;}
.cellRed_RowOver	{ white-space:nowrap; background-color:#dda2a7; border-style:solid; border-width: 1px 0 0 0; border-color:white;}
.cellBlue_RowOver	{ white-space:nowrap; background-color:#7ad5e7; border-style:solid; border-width: 1px 0 0 0; border-color:white;}
.cellYellow_RowOver	{ white-space:nowrap; background-color:#e1d694; border-style:solid; border-width: 1px 0 0 0; border-color:white;}
.cellGrey_RowOver	{ white-space:nowrap; background-color:#c8c8c8; border-style:solid; border-width: 1px 0 0 0; border-color:white;}
.cellViolet_RowOver	{ white-space:nowrap; background-color:#d0a8ee; border-style:solid; border-width: 1px 0 0 0; border-color:white;} /* not used yet */

a[disabled] {
    pointer-events: none;
    color: gray;
}

.sqlTableTitle	{ font-size:12px; background-color:#61B0E5; font-weight:bold;   color: White; text-align:center;}
.sqlTableBody1	{ font-size:12px; background-color:#ffffff; font-weight:normal; color: Black; text-align:left;}
.sqlTableBody2	{ font-size:12px; background-color:#dcdcdc; font-weight:normal; color: Black; text-align:left;}
.sqlTableTitle_a{ font-size:12px; background-color:#61B0E5; font-weight:bold;   color: White; text-align:center;}
.sqlTableBody1_a{ font-size:12px; background-color:#ffffff; font-weight:normal; color: Black; text-align:left;}
.sqlTableBody2_a{ font-size:12px; background-color:#dcdcdc; font-weight:normal; color: Black; text-align:left;}
.b-container{
    margin:0px auto;
/*    width:200px;
    height:150px;
    padding:10px;
    color: #fff;
    font-size:30px;
*/
    background-color: #FFF;
    z-index: 2000;
}
.b-popup{
    width:100%;
    text-align: center; padding-top:150px; 
    height:100%;
    min-height:100%;
    background-color: rgba(0,0,0, 0.4);
    overflow:hidden;
    position:fixed;
    top:0px;
    z-index: 2001;
    overflow-y: hidden; overflow-x: hidden; 
}
.b-popup .b-popup-content{
	background-color: #e5e5e5; 
	padding:10px; margin:0px; border-radius:5px;  box-shadow: 0px 0px 10px #000; z-index: 2003; overflow-y: hidden; overflow-x: hidden; 
}

div.cornerHint 
{
	position:relative; 
	top: -25px;
	background-image:url(../Images/user_groups/not-all-checked.png);
	background-position:right top; 
	background-repeat:no-repeat; 
	width:12px; 
	height:12px;
	float:right;
}

div.corner1
{
	width:12px; 
	height:12px;
	float:left;
}
div.cornerItem1
{
	width:12px; 
	height:12px;
	float:left;
}
div.cornerItem2
{
	position:relative; 
	top: -9px;
	background-image:url(../Images/user_groups/not-all-checked-mini.png);
	background-position:right top; 
	background-repeat:no-repeat; 
		
	width:12px; 
	height:12px;
	float:right;
}
.bigLeftValue
{
	color: #72AEEC;
	font-size: 40px;
	line-height: 40px;
	font-weight: 100;
	margin: 8px;
}

.systemChartTitle
{
	margin-left:6px; 
	font-weight: 600;
	font-size: 14px;
	display: block;
}

/* LANGUAGES */
.divLanguages
{
	position:relative;
	width:30px; 
	height:23px;
}
.divLanguages div
{
	text-align:center; 
	border:1px solid #e5e5e5; 
	background-color:White; 
	width:30px; 
	font-size:16px; 
	font-weight:500; 
	color:Black;
	display:none;
	cursor:pointer;
}

.divLanguages[clicked] div 
{ 
	display:block;
}

.divLanguages div:hover
{ 
	background-color:#dadada;
}

.divLanguages div:first-child
{ 
	display:block; 
	background-color:White;
}

.divLanguages[clicked] div:first-child:hover
{ 
	background-color:#dadada;
}

input[changed=true]:not([disabled]),
textarea[changed=true]:not([disabled]),
select[changed=true]:not([disabled]),
.radio input[type=radio][changed=true]:not([disabled]) + label:before, /* >>> Fake radio - CHANGED */
.checkbox input[type=checkbox][changed=true]:not([disabled]) + label:before /* >>> Fake checkbox - CHANGED */ {
	background-color: #F5F3C6; /* backgroundChanged */
}

input[type=checkbox], /* .checkbox */
input [type=radio] /* .radio */ {
	outline: solid 4px transparent;
}

input[type=checkbox][changed=true],  /* .checkbox */
input[type=radio][changed=true] { /* .radio */
	outline: solid 4px #F5F3C6;
}

td.DomainNameLong {
	max-width: 400px;
	min-width: 200px;
	word-break: break-all;
}

td.DomainNameShort {
	max-width: 250px;
	overflow: hidden;
	text-overflow: ellipsis;
}

#divButtons{
	margin-top:4px;
}
/* padding-top: 10px;
input:focus 
{
	outline: blue solid 1px
}
*/